# Deprecated API

## Contents

- Fields
- Methods
- Constructors

Deprecated Fields
Field
Description
jebl.evolution.sequences.AminoAcids.CANONICAL_STATES
jebl.evolution.sequences.AminoAcids.STATES
jebl.evolution.sequences.GeneticCode.GENETIC_CODES
use `GeneticCode.getGeneticCodes()` instead
jebl.evolution.sequences.Nucleotides.CANONICAL_STATES
jebl.evolution.sequences.Nucleotides.COMPLEMENTARY_STATES
jebl.evolution.sequences.Nucleotides.STATES

Deprecated Methods
Method
Description
jebl.evolution.io.ImportHelper.getLastMetaComment()
use `ImportHelper.getMetaComments()` instead
jebl.evolution.io.MEGAExporter.exportAlignment(Alignment)
Files created by this export method won't be importable by MEGA (because they don't have titles). Use `MEGAExporter.exportAlignment(jebl.evolution.alignments.Alignment, String)` instead.
jebl.evolution.sequences.GeneticCode.isStartCodon(CodonState)
jebl.evolution.sequences.GeneticCode.isStopCodon(CodonState)
jebl.evolution.sequences.State.getName()
you probably want to use `State.getFullName()` or `State.getCode()`.

Deprecated Constructors
Constructor
Description
jebl.evolution.io.NexusImporter(Reader, boolean)
Use NexusImporter(Reader reader, boolean compactTrees, long expectedInputLength)